Subject: Re: bug#74412: 31.0.50; Treesit-outline conflict with outli in Emacs 31

From: Juri Linkov <[email-masked]>
Date: Wed, 20 Nov 2024 09:15:10 +0200

> I'm using `straight' so I start the emacs as
>
> ```sh
>
> /Applications/Emacs.app/Contents/MacOS/Emacs -q --eval "(progn
>           (add-to-list 'load-path
> \"~/.emacs.d/straight/build/java-ts-mode\")

Where do you get straight's version of java-ts-mode?

Does it differ from lisp/progmodes/java-ts-mode.el
provided by Emacs core?

Do you use treesit.el from `straight' too?

>           (add-to-list 'load-path \"~/.emacs.d/straight/build/outli\")
>           (require 'java-ts-mode)
>           (require 'outli))"
>
> ```
>
> The file I tried is
>
> ```java
>
> public class Test {
>     public static void main(String[] args) {
>
>     }
> }
>
> ```
>
> You might need to enable the outli-mode in the java file manually.

I tried this with lisp/progmodes/java-ts-mode.el,
and can't reproduce the bug.

> It seems this bug only appears in gui emacs. The `revert-buffer' works
> fine in tui.

Very strange, there should be no difference between gui and tui.